summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-01-13 02:45:55 +0100
committerJelmer Vernooij <jelmer@samba.org>2008-01-13 02:45:55 +0100
commit95f83d904040a3d55abfb9fa080aede269663227 (patch)
tree05bafa5d678568f2758b1d486c504aa181b72c36 /testprogs
parentb36a0aedd2dbe47429bfc2dda6ea802a92efb526 (diff)
downloadsamba-95f83d904040a3d55abfb9fa080aede269663227.tar.gz
tests.blackbox: Avoid my local Kerberos setup from interfering with the blackbox.smbclient test.
(This used to be commit 1d703dcf3a888e4c8301a4f53a289ff18bf89f75)
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_smbclient.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/testprogs/blackbox/test_smbclient.sh b/testprogs/blackbox/test_smbclient.sh
index bd3df0b2545..5d5edfeee4d 100755
--- a/testprogs/blackbox/test_smbclient.sh
+++ b/testprogs/blackbox/test_smbclient.sh
@@ -144,12 +144,14 @@ testit "Test login with PASSWD" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$S
oldUSER=$USER
USER="$USERNAME"
export USER
-testit "Test login with USER and PASSWD" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" || failed=`expr $failed + 1`
+testit "Test login with USER and PASSWD" $VALGRIND $smbclient -k no -c 'ls' $CONFIGURATION //$SERVER/tmp -W "$DOMAIN" || failed=`expr $failed + 1`
PASSWD=
export PASSWD
unset PASSWD
USER=$oldUSER
export USER
+printenv
+
rm -f tmpfile tmpfile-old tmpfilex tmpauthfile tmppassfile
exit $failed